Bug 821253 - [abrt] kernel: BUG: unable to handle kernel NULL pointer dereference at 0000000000000004
[abrt] kernel: BUG: unable to handle kernel NULL pointer dereference at 00000...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
abrt_hash:6f08d05455e013e1d22e7d26d0e...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-13 11:19 EDT by Sunil
Modified: 2012-05-14 14:38 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-14 14:38:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sunil 2012-05-13 11:19:35 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        BOOT_IMAGE=/vmlinuz-3.3.4-3.fc16.x86_64 root=/dev/mapper/VolGroup-lv_root ro rd.md=0 rd.dm=0 rd.lvm.lv=VolGroup/lv_swap KEYTABLE=us quiet SYSFONT=latarcyrheb-sun16 rhgb rd.lvm.lv=VolGroup/lv_root rd.luks=0 LANG=en_US.UTF-8
event_log:      2012-05-13-10:19:14> Smolt profile successfully saved
kernel:         3.3.4-3.fc16.x86_64
reason:         BUG: unable to handle kernel NULL pointer dereference at 0000000000000004
time:           Sun 13 May 2012 10:09:05 AM CDT

backtrace:
:BUG: unable to handle kernel NULL pointer dereference at 0000000000000004
:IP: [<ffffffffa00568a0>] usb_stor_Bulk_transport+0x130/0x330 [usb_storage]
:PGD 1ef9ba067 PUD 1ef957067 PMD 0 
:Oops: 0000 [#1] SMP 
:CPU 2 
:Modules linked in: tcp_lp fuse lockd rfcomm bnep ip6t_REJECT nf_conntrack_ipv4 nf_defrag_ipv4 nf_conntrack_ipv6 nf_defrag_ipv6 xt_state ip6table_filter nf_conntrack ip6_tables snd_hda_codec_hdmi snd_hda_codec_realtek snd_hda_intel snd_hda_codec r8169 btusb bluetooth snd_hwdep snd_seq sp5100_tco usblp asus_atk0110 snd_seq_device shpchp i2c_piix4 ppdev parport_pc parport rfkill fam15h_power k10temp mii snd_pcm snd_timer snd soundcore snd_page_alloc microcode edac_core edac_mce_amd sunrpc uinput ata_generic pata_acpi pata_atiixp wmi usb_storage radeon ttm drm_kms_helper drm i2c_algo_bit i2c_core [last unloaded: scsi_wait_scan]
:Pid: 193, comm: usb-storage Not tainted 3.3.4-3.fc16.x86_64 #1 System manufacturer System Product Name/M5A88-M
:RIP: 0010:[<ffffffffa00568a0>]  [<ffffffffa00568a0>] usb_stor_Bulk_transport+0x130/0x330 [usb_storage]
:RSP: 0018:ffff88020b413d50  EFLAGS: 00010282
:RAX: 0000000000000000 RBX: ffff8800cf832000 RCX: 0000000000000000
:RDX: 0000000000000000 RSI: 00000000c0048280 RDI: ffff88020b8706c0
:RBP: ffff88020b413d90 R08: 0000000000000060 R09: ffffea0008411000
:R10: ffffffff81418cb1 R11: 0000000000000000 R12: ffff88020b8706c0
:R13: ffff8801b617bc00 R14: 0000000000000060 R15: 000000000000001f
:FS:  00007f8ad5d5c700(0000) GS:ffff88021ec80000(0000) knlGS:00000000f00ffb40
:CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
:CR2: 0000000000000004 CR3: 00000001efa7f000 CR4: 00000000000406e0
:DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
:DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
:Process usb-storage (pid: 193, threadinfo ffff88020b412000, task ffff88020edc1730)
:Stack:
: ffff88020eca9800 ffff88020b413e08 ffff88020b413d90 ffff88020b8706c0
: ffff8801b617bc00 00000000ffffffff 0000000000000001 000000000000000c
: ffff88020b413e60 ffffffffa0057211 0000000000000002 7fffffffffffffff
:Call Trace:
: [<ffffffffa0057211>] usb_stor_invoke_transport+0x1e1/0x4e0 [usb_storage]
: [<ffffffff812d4691>] ? list_del+0x11/0x40
: [<ffffffffa0055fde>] usb_stor_transparent_scsi_command+0xe/0x10 [usb_storage]
: [<ffffffffa0058605>] usb_stor_control_thread+0x165/0x270 [usb_storage]
: [<ffffffffa00584a0>] ? fill_inquiry_response+0x150/0x150 [usb_storage]
: [<ffffffff81079da3>] kthread+0x93/0xa0
: [<ffffffff815fd2a4>] kernel_thread_helper+0x4/0x10
: [<ffffffff81079d10>] ? kthread_freezable_should_stop+0x70/0x70
: [<ffffffff815fd2a0>] ? gs_change+0x13/0x13
:Code: 01 0f 85 09 02 00 00 45 85 f6 0f 84 53 01 00 00 41 83 7d 4c 02 0f 84 38 01 00 00 41 8b 74 24 48 4c 89 ea 4c 89 e7 e8 90 fe ff ff <83> 78 04 ba 03 00 00 00 74 ad 45 31 ff 83 f8 03 41 0f 94 c7 41 
:RIP  [<ffffffffa00568a0>] usb_stor_Bulk_transport+0x130/0x330 [usb_storage]
: RSP <ffff88020b413d50>
:CR2: 0000000000000004

smolt_data:
:
:
:General
:=================================
:UUID: 88772edc-baf1-4760-8a3e-1d41e0c12b22
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.utf8
:Platform: x86_64
:BogoMIPS: 6599.87
:CPU Vendor: AuthenticAMD
:CPU Model: AMD FX(tm)-6100 Six-Core Processor
:CPU Stepping: 2
:CPU Family: 21
:CPU Model Num: 1
:Number of CPUs: 6
:CPU Speed: 3300
:System Memory: 7718
:System Swap: 10015
:Vendor: System manufacturer
:System: System Product Name System Version
:Form factor: Desktop
:Kernel: 3.3.5-2.fc16.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4098:17296:4163:33859) pci, ahci, STORAGE, SB7x0/SB8x0/SB9x0 SATA Controller [IDE mode]
:(4130:38407:4163:33854) pci, pcieport, PCI/PCI, RS780 PCI to PCI bridge (PCIE port 3)
:(4130:38409:4163:33854) pci, pcieport, PCI/PCI, RS780/RS880 PCI to PCI bridge (PCIE port 5)
:(4098:38677:4163:33854) pci, radeon, VIDEO, M5A88-V EVO
:(4130:38401:4163:33854) pci, None, HOST/PCI, M5A88-V EVO
:(4163:38402:4163:33854) pci, None, PCI/PCI, RS880 PCI to PCI bridge (int gfx)
:(4130:5637:0:0) pci, None, HOST/PCI, Family 15h Processor Function 5
:(4130:5636:0:0) pci, fam15h_power, HOST/PCI, Family 15h Processor Function 4
:(4130:5633:0:0) pci, None, HOST/PCI, Family 15h Processor Function 1
:(4130:5632:0:0) pci, None, HOST/PCI, Family 15h Processor Function 0
:(4130:5635:0:0) pci, k10temp, HOST/PCI, Family 15h Processor Function 3
:(4130:5634:0:0) pci, None, HOST/PCI, Family 15h Processor Function 2
:(4098:17302:4163:33859) pci, ehci_hcd, USB, M5A88-V EVO
:(4098:17303:4163:33859) pci, ohci_hcd, USB, M5A88-V EVO
:(4332:33128:4163:33842) pci, r8169, ETHERNET, P8P67 Deluxe Motherboard [Realtek RTL8111E]
:(4098:17308:4163:33859) pci, pata_atiixp, STORAGE, SB7x0/SB8x0/SB9x0 IDE Controller
:(4098:17285:0:0) pci, None, SERIAL, SBx00 SMBus Controller
:(4098:17309:4163:33859) pci, None, PCI/ISA, M5A88-V EVO
:(4098:17283:4163:33819) pci, snd_hda_intel, MULTIMEDIA, M5A88-V EVO
:(4098:17305:4163:33859) pci, ohci_hcd, USB, M5A88-V EVO
:(4098:17284:0:0) pci, None, PCI/PCI, SBx00 PCI to PCI Bridge
:(4098:17302:4163:33859) pci, ehci_hcd, USB, M5A88-V EVO
:(4098:38671:4163:33854) pci, snd_hda_intel, MULTIMEDIA, M5A88-V EVO
:(4098:17303:4163:33859) pci, ohci_hcd, USB, M5A88-V EVO
:(4098:17302:4163:33859) pci, ehci_hcd, USB, M5A88-V EVO
:(4098:17303:4163:33859) pci, ohci_hcd, USB, M5A88-V EVO
:(6945:4162:4163:33928) pci, xhci_hcd, USB, ASM1042 SuperSpeed USB Host Controller
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/VolGroup-lv_root / ext4 4096 4096 13081819 8496336 7840976 3276800 2907404 2907404
:/dev/sda1 /boot ext4 1024 1024 508745 409653 384053 128016 127780 127780
:/dev/mapper/VolGroup-lv_home /home ext4 4096 4096 23229254 21510474 20347210 5816320 5807941 5807941
:
Comment 1 Dave Jones 2012-05-14 14:38:11 EDT
believed to be a hardware problem based upon other reports filed from this system

Note You need to log in before you can comment on or make changes to this bug.